const util = require("../../../../utils/util");
const app = getApp();
Component({
  properties: {
    show: {
      type: Boolean,
      observer: function (newVal) {
        this.setData({ show: newVal });
      }
    },
    list: {
      type: Array,
      observer: function (newVal) {
        this.setData({ list: newVal });
      }
    },
  },
  data: {
    show:false,
    height:'65%',
    list:[],
  },
  methods: {
    // 弹窗关闭
    close(e) {
      this.triggerEvent("close", e.detail);
    },
    // 选择人员                                   
    radioChange(e){
      let arr = e.detail.value.split('|');
      let data ={
        childName:arr[0],
        id:arr[1],
        userAvatar:arr[2],
        userId:arr[3],
        userNickname:arr[4],
        age:arr[5],
        city:arr[6],
        sex:arr[7]
      }
      this.triggerEvent("getChildInfo", data);
    },
  }
})